package com.example.orderly.ui

import android.app.Application
import com.example.orderly.data.local.AppDatabase
import com.example.orderly.data.repository.OrderLyRepository

class OrderLyApplication : Application() {
    private val database by lazy { AppDatabase.getDatabase(this) }
    
    val repository by lazy { 
        OrderLyRepository(database.productDao(), database.cartDao(), database.userDao()) 
    }
}
